#include "helpers.h"

#include <time.h>

int GetRandNum(int iMax)
{
	return (int)((float)rand()/(RAND_MAX+1)*iMax);
}

std::string GenerateName(int i)
{
	const c_iItemNum=10;
	std::string arrsName[c_iItemNum]={"John","Joe","Mary","Max","Tina",
							"Nathaly","Ralph","Sam","Kora","Abel"};
	std::string arrsSurname[c_iItemNum]={"Smith","Oldrin","Karther","Ivanov","Suzuki",
								"Ho","Keen","Mai","Pavlenko","Korr"};
	int iNum=i%(c_iItemNum*c_iItemNum);
	return arrsName[i/c_iItemNum]+" "+arrsSurname[i%c_iItemNum];
}

std::string GenerateDate()
{
	int iDay=1+GetRandNum(27);
	int iMonth=GetRandNum(11);
	int iYear=70+GetRandNum(20);

	struct tm stTime;
	stTime.tm_hour=0;
	stTime.tm_min=0;
	stTime.tm_sec=0;
	stTime.tm_mday=iDay;
	stTime.tm_year=iYear;
	stTime.tm_mon=iMonth;
	stTime.tm_isdst=0;

	char pcBuff[31];
	strftime(pcBuff,30,"%d-%b-%Y",&stTime);
	return pcBuff;
}

std::string GenerateAddress()
{
	const c_iItemNum=5;
	std::string arrsStreet[c_iItemNum]={"1-st Street","1-st Avenue","1-st Strasse",
								"1-st Boulv.","1-st Square"};

	std::string sStreet=arrsStreet[GetRandNum(c_iItemNum)];
	int iHouseNum=1+GetRandNum(100);

	char pcBuff[10];
	return sStreet+" "+itoa(iHouseNum,pcBuff,10);
}

std::string GenerateSalary()
{
	char pcBuff[20];
	return itoa(20000+GetRandNum(10000),pcBuff,10);
}